#!/bin/bash

action="${1}"
interface="${2}"

test -z "${action}" && exit 1
test -z "${interface}" && exit 1

case "${action}" in
	"start")
		wpa_supplicant -c/etc/wpa_supplicant/wpa_supplicant.conf -t -f/var/log/wpa_supplicant.log -i${interface} -Dwired -B -P/var/run/wpa_supplicant.pid
		sleep 1
		for counter in $( seq 1 30 ); do
			if [ ! -z "$( wpa_cli -p/var/run/wpa_supplicant.ctrl status | grep "suppPortStatus=Authorized" )" ]; then
				break
			fi
			sleep 1
		done
		;;
	"stop")
		kill -TERM $( cat /var/run/wpa_supplicant.pid 2> /dev/null ) 2> /dev/null
		;;
	*)
		exit 1
		;;
esac

exit 0

